Subject: Re: bug#44210: 28.0.50; project.el failed to work after customizing find-program to fd

From: Dmitry Gutov <[email-masked]>
Date: Mon, 18 Jan 2021 05:09:12 +0200

Hi!

You didn't address my complaint about the ignored IGNORES argument. I 
was going to explain that, but that email got sidetracked, sorry.

In any case, I can't reproduce your results even with the latest fd.

I don't have an LLVM checkout, though, just some other projects like 
Linux kernel and gecko-dev. And 'find' is consistently 2x as fast here.

In any case, I can believe that fd is going to be faster on some 
systems. To make it an "official" option, someone will need to write a 
version of project--files-in-directory that uses fd but honors the 
IGNORES argument, as well as FILES. Preferably with some tests. Then we 
can make the program used switchable.

On 18.01.2021 03:15, Zhiwei Chen wrote:
> 
> I think I replied to the wrong thread, so forwarded it again.
> 
>> I benchmark it again on linux, where find is of 4.7.0 version and fd is of 8.2.1 version.
>>
>> Make sure the page cache is cleared before each benchmark.
>>
>>> sudo sysctl -w vm.drop_caches=3
>>
>>> cd llvm-project
>>
>>> sudo sysctl -w vm.drop_caches=3
>>> time fd > /tmp/fd_output
>> 1.04s user 4.11s system 522% cpu 0.987 total
>>
>>> sudo sysctl -w vm.drop_caches=3
>>> time find > /tmp/find_output
>> 0.06s user 0.20s system 7% cpu 3.354 total
>>
>> Since ‘fd’ is a multi-threaded program, the CPU percent is > 100%.
>